/* proto.h
 * David Lutz
 * Jason Hunter
 * Modified by Werner Zimmermann, Oct. 96
 *
 * This header file contains the function prototypes
 */

/* readdisk.c */
void            convert(unsigned long x, unsigned int *head, unsigned int *track, \
                        unsigned int *sector, unsigned int *offset);
int             examine_drive(void);
int             readdisk ( unsigned char *buf, unsigned long loc, unsigned long size );
int             writedisk( unsigned char *buf, unsigned long loc, unsigned long size );

/* super.c */
int             write_super(void);
int             load_super (void);
void            print_super(void);

/* group.c */
int             load_groups (void);
void            store_groups(void);
void            print_groups(void);

/* inode.c */
inode           *load_inode(unsigned long inode_no);
int             store_inode(unsigned long inode_no, inode *i);
void            print_inode(inode *i, unsigned long inode_no);
unsigned long   block_list (inode *i);
int             read_inode (inode *i, byte *buffer, size_t size, char ctrl );
int             write_inode (inode *i, byte *buffer, size_t size);
int             modifyBlockBitmap(unsigned long block_num,int mode);
int             modifyInodeBitmap(unsigned long inode_num,int mode);

/* dir.c */
unsigned long   eatpath(char *path, char *inode_name, char ctrl);
void            list_dir(inode *i, char *path);
char            *build_mode(inode *i );
unsigned long   search_dir(inode *i,char *str,char *inode_name,char ctrl);
unsigned long   modify_dir(inode *i,char *str,struct dir *newDirEntry,int mode);

/* main.c*/
#if defined(__TURBOC__) && !defined(__WIN32__)
int 			lockDrive(char mode);
#endif

